Subject: Re: ar5k and Atheros AR5005G

From: Michael Buesch <[email-masked]>
Date: Tue, 28 Nov 2006 21:45:08 +0100

On Tuesday 28 November 2006 21:39, Daniel Drake wrote:
> Hi,
> 
> I'm interested in porting the ar5k driver to Linux after the recent SFLC
> conclusions on the legal status. However, the hardware I have here
> appears to be unsupported by ar5k:
> 
> 01:04.0 0200: 168c:001a (rev 01)
>         Subsystem: 168c:2052
> 
> 01:04.0 Ethernet controller: Atheros Communications, Inc. AR5005G
> 802.11abg NIC (rev 01)
>         Subsystem: Atheros Communications, Inc. Unknown device 2052
>         Flags: bus master, medium devsel, latency 168, IRQ 66
>         Memory at c0100000 (32-bit, non-prefetchable) [size=64K]
>         Capabilities: [44] Power Management version 2
> 
> It is a mini-PCI card.
> 
> Does anyone know how much work would be needed for the ar5k codebase to
> support this hardware?

I started to port this at
http://bu3sch.de/ath/atheros.git/

I dunno how hard it is to add hw support.

-- 
Greetings Michael.

-------------------------------------------------------------------------
Take Surveys. Earn Cash. Influence the Future of IT
Join SourceForge.net's Techsay panel and you'll get the chance to share your
opinions on IT & business topics through brief surveys - and earn cash
http://www.techsay.com/default.php?page=join.php&p=sourceforge&CID=DEVDEV